MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003159ATutorLanguagepublic2007-08-20 02:352008-08-21 08:59
ReporterIndieRect 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.5.5 
Target VersionFixed in Version1.6 
Summary0003159: i18n: Date and Time
DescriptionDate and time format should always be output with appropriate language variables (like $forum_date_format, $inbox_date_format etc.).
Occurences:
tools/tests/index.php
tools/tests/results.php
tools/tests/results_all.php
tools/my_tests.php
tools/chat/index.php
tools/polls/index.php

It may be best to create a few generic variables.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002552)
IndieRect (reporter)
2007-08-20 03:06

Also:
admin/users.php
admin/courses.php
(0002601)
greg (administrator)
2007-12-09 12:04
edited on: 2007-12-09 12:06

Done
tools/tests/index.php
tools/tests/results.php
tools/tests/results_all.php
tools/my_tests.php
tools/chat/index.php

Not Done
tools/polls/index.php

Added three _AT language date variable
$startend_date_format (9/12/07 9:00)
$startend_date_long_format (2007-12-09 16:47)
$startend_date_longs_format (2007-12-09 16:47:21)

(0002602)
greg (administrator)
2007-12-09 12:16

Done
admin/users.php

Not Done
admin/courses.php
(0002603)
greg (administrator)
2007-12-09 12:17

These two need to be handled differently, when the date is orginally created. Will resolve this issue, and create another.

admin/courses.php
tools/polls/index.php
(0002604)
greg (administrator)
2007-12-09 12:23

changed date formatting for:

tools/tests/index.php
tools/tests/results.php
tools/tests/results_all.php
tools/my_tests.php
tools/chat/index.php
admin/users.php

to _AT() language based dates.

- Issue History
Date Modified Username Field Change
2007-08-20 02:35 IndieRect New Issue
2007-08-20 02:35 IndieRect Affects version => SVN
2007-08-20 03:06 IndieRect Note Added: 0002552
2007-12-09 12:04 greg Note Added: 0002601
2007-12-09 12:06 greg Note Edited: 0002601
2007-12-09 12:16 greg Note Added: 0002602
2007-12-09 12:17 greg Note Added: 0002603
2007-12-09 12:23 greg Status new => resolved
2007-12-09 12:23 greg Resolution open => fixed
2007-12-09 12:23 greg Assigned To => greg
2007-12-09 12:23 greg Note Added: 0002604
2007-12-09 12:23 greg Status resolved => assigned
2007-12-09 12:24 greg Status assigned => resolved
2007-12-09 12:24 greg Fixed in Version => 1.6
2008-08-21 08:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker